%define product		AttachmentField
%define ver		1.3
%define rel		1

%define zope_minver	2.7

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python


Summary:	An Archetypes field managing attachments (with preview and indexing)
Name:		zope-%{product}
Version:	%{ver}
Release:	%mkrel %{rel}
License:	GPL
Group:		System/Servers
Source:		http://plone.org/products/attachmentfield/releases/1.3RC5/AttachmentField-1.3RC5.tar.bz2
URL:		http://ingeniweb.sourceforge.net/Products/AttachmentField/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	plone >= 2.0.5
Requires:	zope-Archetypes
Requires:	xlhtml, xpdf, wv

%description
The improvements / regressions of AF over ZAA are:
AF uses Archetypes' Field design to work. It's, then, Archetypes-dependent.
ZAAPlugins is no longer necessary. All AF plugins are integrated directly into
the AF product.
AF offers a convenient plugin structure, allowing you to create plugins with
only 10 lines of code. Doing so, we've lost a little bit of the flexibility we
never needed ;) However it's still possible to override the AttachmentHandler
class to offer more flexibility (AttachmentHandler is the new name for
AbstractAttachment).
A plugin is now a singleton providing indexing & preview & iconing services. No
more polymorphism as in ZAA (in ZAA, each and every attachement stored an
instance of a plugin class, which turned out to be too complicated for the
actual need).
A side effect of the preceding point is that you can upload invalid files to
your server and develop (or configure) new plugins AFTER you've uploaded 'em.
AF will dynamically detect the new content type and will provide preview and
indexing support magically. With that feature, customers can start populating a
website very early in the process!
AF doesn't support images in MSWord preview yet (it will !)
AF doesnt' store attachments preview nor searchable text in ZODB; they are
cached though, and will normally be calculated only once per Zope program run.
This may be configurable in the future (ie. you can choose best speed or less
disk usage).

%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*


%changelog
* Fri Dec  2 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- new release 1.3

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-0.RC2.2mdk
- fix path on x86_64

* Mon May 16 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-0.RC2.1mdk
- initial package





